Name:           log4shib
Version:        1.0.9
Release:        6%{?dist}
Summary:        C++ logging library for Shibboleth (OpenSAML)

License:        LGPLv2+
URL:            https://wiki.shibboleth.net/confluence/display/OpenSAML/%{name}
Source0:        http://shibboleth.net/downloads/%{name}/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  doxygen
BuildRequires:  automake, autoconf, libtool

%description
log4shib is a forked version of log4cpp that has been created for the 
Shibboleth project to ensure a consistent, working snapshot that builds 
reliably on the necessary platforms.

There are no plans to support this package outside of a Shibboleth (or 
OpenSAML) context, and enhancements are unlikely. If an opportunity to 
converge back with log4cpp arises, it may happen, but that code has 
undergone significant changes since the snapshot the fork was based on.

%package devel
Summary:        Header files, libraries and development man pages for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
man pages for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package doc
Summary:        Development documentation for %{name}
BuildArch:      noarch

%description doc
This package contains the development documentation for %{name}.
If you like to documentation to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q
sed /Cflags/d %{name}.pc.in
#Convert line endings.
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
autoreconf -fiv
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_docdir}/%{name}-%{version} rpmdocs
rm -fv %{buildroot}%{_libdir}/*.a %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_libdir}/lib%{name}.so.*
%doc ChangeLog README THANKS AUTHORS NEWS
%license COPYING

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_mandir}/man3/%{name}*
%exclude %{_bindir}/%{name}-config

%files doc
%doc rpmdocs/*
%license COPYING


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Oct 17 2016 Raphael Groner <projects.rg@smart.ms> - 1.0.9-2
- drop Group: entries
- make doc subpackage as noarch and add license file
- drop obsolete defattr
- simplify pkgconfig
- use name macro more consequently
- add more text documentation files
- exclude questionable log4shib-config

* Thu Feb 26 2015 Guido Grazioli <guido.grazioli@gmail.com> - 1.0.9-1
- Initial package
